#ifndef hdrwizardform_impl_h
#define hdrwizardform_impl_h

#include <QDialog>
#include <QString>
#include <QMap>
#include "../generated_uic/ui_hdrwizardform.h"
#include "createhdr.h"
#include <image.hpp>
#include <exif.hpp>

class HdrWizardForm : public QDialog, private Ui::HdrWizardForm
{
Q_OBJECT

public:
	HdrWizardForm(QWidget *parent=0);
	~HdrWizardForm();
#ifndef _WIN32
	QByteArray getPfsOutputHDR();
#endif
	QString getCaptionTEXT();

private:
	QString curvefilename;
	config_triple *chosen_config;
	QMap<QString,TResponse> fromQStringToResponse;
	QMap<QString,TModel>    fromQStringToModel;
	QMap<QString,TWeight>   fromQStringToWeight;
	int numberinputfiles;
	float *expotimes;
	Exiv2::ExifKey *expotime;
	Exiv2::ExifKey *iso;
	Exiv2::ExifKey *fnum;
	QList<QImage*> ImagePtrList;

	QString RecentDirInputLDRs;

private:
	QString getQStringFromConfig( int type );
	float obtain_expotime( QString );
	QByteArray outputHDRImagePFS;

private slots:
	void nextpressed();
	void backpressed();
	void currentPageChangedInto(int);
	//void setcallcustom( bool );
	void update_current_config_file_or_notfile(bool);
	void update_current_config_model(const QString&);
	void update_current_config_gamma_lin_log(const QString&);
	void update_currentconfig(int);
	void update_current_config_weights(const QString&);
	void update_current_antighost_curve(int);
	void load_response_curve_from_file();
	void loadfiles();
	void fix_gui_custom_config();
	void fix_gui_uncheck_custom(bool);
	void update_current_config_calibrate();
	void setLoadFilename(const QString&);
};
#endif
