#ifndef maingui_impl_h
#define maingui_impl_h

#include <QMainWindow>
#include <QWorkspace>
#include <QMainWindow>
#include <QStringList>
#include <QSettings>
#include "hdrwizardform_impl.h"
#include "../generated_uic/ui_maingui.h"

class MainGui : public QMainWindow, private Ui::MainGui
{
Q_OBJECT

public:
	MainGui(QWidget *parent=0);
public  slots:
private slots:
	void fileNewViaWizard();
	void fileOpen();//for File->Open, it then calls loadFile()
	bool loadFile(QString);//both for File->Open and for RecentFile
	void fileSaveAs();
	void tonemap_requested();
	void rotateccw_requested();
	void rotatecw_requested();
	void current_mdiwindow_increase_exposure();
	void current_mdiwindow_decrease_exposure();
	void current_mdiwindow_extend_exposure();
	void current_mdiwindow_shrink_exposure();
	void current_mdiwindow_fit_exposure();
	void current_mdiwindow_ldr_exposure();
	void current_mdiwindow_zoomin();
	void current_mdiwindow_zoomout();
	void current_mdiwindow_fit_to_win(bool checked);
	void current_mdiwindow_original_size();
// 	void viewMenuAboutToShow();
	void helpAbout();
// 	void fileExit();

	void openRecentFile();
	void updateRecentFileActions();
	QString strippedName(const QString &fullFileName);
	void setCurrentFile(const QString &fileName);

	void updatecurrentMDIwindow( QWidget * w );

private:
	QWorkspace* workspace;
	HdrWizardForm *wizard;
	void dispatchrotate( bool clockwise);
        enum { MaxRecentFiles = 5 };
        QAction *recentFileActs[MaxRecentFiles];
        QAction *separatorRecentFiles;
	QSettings settings;
	QString RecentDirHDRSetting;
};


#endif
